VRPlatformVRPlatform
Audit

/audit/actions/{id}

Retrieve an audit action and aggregated effect counts.

GET
/audit/actions/{id}
X-API-Key<token>

API key provided in dashboard

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/audit/actions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
  "actionType": "string",
  "rootEntityType": "string",
  "rootEntityId": "ffcdb974-7dd1-4727-b1cd-39415010f491",
  "message": "string",
  "payload": null,
  "userId": "string",
  "actor": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "type": "string",
    "name": "string",
    "email": "string"
  },
  "createdAt": "string",
  "source": "string",
  "apiVersion": "string",
  "requestId": "string",
  "traceId": "string",
  "parentActionId": "12f46041-18d6-4f38-a710-58558c6996db",
  "effectCounts": {
    "total": 0,
    "pending": 0,
    "claimed": 0,
    "running": 0,
    "completed": 0,
    "failed": 0,
    "deadLetter": 0
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}